import type { Snapshot } from '@luvio/engine';
import type { CreateRecordConfig } from '../../generated/adapters/createRecord';
import type { RecordRepresentation } from '../../generated/types/RecordRepresentation';
import type { buildNetworkSnapshot } from './index';
export type DraftAwareCreateRecordAdapter = (config: CreateRecordConfig, networkSnapshotBuilder: typeof buildNetworkSnapshot) => Promise<Snapshot<RecordRepresentation>>;
