import type { Snapshot } from '@luvio/engine';
import type { UpdateRecordConfig } from '../../generated/adapters/updateRecord';
import type { RecordRepresentation } from '../../generated/types/RecordRepresentation';
import type { buildNetworkSnapshot } from './index';
export type DraftAwareUpdateRecordAdapter = (config: UpdateRecordConfig, networkSnapshotBuilder: typeof buildNetworkSnapshot) => Promise<Snapshot<RecordRepresentation>>;
